function getIniSectionsNumber(path)
menu1=0
    for i = 1, 100 do
righ=0
for j=1, 10 do
num1, num2 = reaper.BR_Win32_GetPrivateProfileString(tostring(i), "f".. j, nil, path)
if not (num2 == nil) and not (num2 == "") then
righ= righ+1
end
end
if (righ >0) then
menu1 = menu1+1
else
--break
end
end
return menu1
end

local path2 = reaper.GetResourcePath()
V1, V2 = reaper.BR_Win32_GetPrivateProfileString("info", "val", "", path2 .. "\\ini\\dj fx.ini")
men =  getIniSectionsNumber( path2 .. "\\ini\\dj fx.ini")
if (tonumber(V2) <= men-1) then
men= tonumber(V2) +1
reaper.BR_Win32_WritePrivateProfileString("info", "val", men, path2 .. "\\ini\\dj fx.ini")
else
reaper.BR_Win32_WritePrivateProfileString("info", "val", 1, path2 .. "\\ini\\dj fx.ini")
end
V1, V2 = reaper.BR_Win32_GetPrivateProfileString("info", "val", "", path2 .. "\\ini\\dj fx.ini")
V3, V4 = reaper.BR_Win32_GetPrivateProfileString(V2, "name", "", path2 .. "\\ini\\dj fx.ini")
V5 = (tonumber(V2)*10)
reaper.osara_outputMessage(V5.. " " .. V4 )
